val whiteRockwool = <item:thermal:white_rockwool>;
val magentaRockwool = <item:thermal:magenta_rockwool>;
val crystaltineIngot = <item:extendedcrafting:crystaltine_ingot>;
val netheriteIngot = <tag:items:forge:ingots/netherite>;
val catalyticChamber = <item:thermal:machine_catalyst_augment>;
val stick = <tag:items:forge:rods/wooden>;
val rfCoil = <item:thermal:rf_coil>;
val redstoneServo = <item:thermal:redstone_servo>;
val ironIngot = <tag:items:forge:ingots/iron>;
val platinumIngot = <tag:items:forge:ingots/platinum>;
val eEnderIngot = <item:extendedcrafting:enhanced_ender_ingot>;
val ultimateIngot = <item:extendedcrafting:the_ultimate_ingot>;
val redstoneIngot = <item:extendedcrafting:redstone_ingot>;
val shaft = <item:create:shaft>;
val screen = <item:rftoolsutility:screen>;
val redstoneSingularity = <item:extendedcrafting:singularity>.withTag({Id: "extendedcrafting:redstone"});
val creativeRFCoil = <item:extendedcrafting:the_ultimate_component>; //<item:thermal:rf_coil_creative_augment>; // Now banned due to unintended mechanics with Capacitor
val creativeFlux = <item:thermal:machine_efficiency_creative_augment>;
val creativeScreen = <item:rftoolsutility:creative_screen>;

val blank = <item:minecraft:air>;

// Removal Recipe for The Ultimate Component Item

craftingTable.remove(creativeRFCoil);

// Recipe for The Ultimate Ingot

mods.extendedcrafting.CombinationCrafting.addRecipe("extendedcrafting_the_ultimate_ingot", ultimateIngot, 5000000, [
	crystaltineIngot, eEnderIngot, eEnderIngot, eEnderIngot, eEnderIngot, eEnderIngot, eEnderIngot, eEnderIngot, eEnderIngot
]);

// Recipe for Creative Umbrella

mods.extendedcrafting.TableCrafting.addShaped("vampirism_creative_umbrella", 0, <item:vampiresneedumbrellas:creative_umbrella>, [
	[    blank,        blank, magentaRockwool, whiteRockwool, magentaRockwool, whiteRockwool, netheriteIngot ], 
	[    blank,        blank,      blank,     magentaRockwool, whiteRockwool, magentaRockwool, whiteRockwool ], 
	[    blank,        blank,      blank,          blank,     magentaRockwool, whiteRockwool, magentaRockwool], 
	[    blank,        blank,      blank,    crystaltineIngot,     blank,     magentaRockwool, whiteRockwool ], 
	[crystaltineIngot, blank, crystaltineIngot,    blank,          blank,          blank,     magentaRockwool], 
	[    blank,  crystaltineIngot, blank,          blank,          blank,          blank,          blank     ], 
	[    blank,        blank,      blank,          blank,          blank,          blank,          blank     ]
]);

// Recipe for Creative Reclaimation Chamber

mods.extendedcrafting.TableCrafting.addShaped("thermal_creative_catalyst", 0, <item:thermal:machine_catalyst_creative_augment>, [
	[catalyticChamber,  platinumIngot, platinumIngot, platinumIngot, catalyticChamber], 
	[  platinumIngot, catalyticChamber,   rfCoil,   catalyticChamber, platinumIngot], 
	[  platinumIngot,      rfCoil,     redstoneServo,    rfCoil,      platinumIngot], 
	[  platinumIngot, catalyticChamber,   rfCoil,   catalyticChamber, platinumIngot], 
	[catalyticChamber,  platinumIngot, platinumIngot, platinumIngot, catalyticChamber]
]);

// Recipe for Creative RF Coil

mods.extendedcrafting.TableCrafting.addShaped("thermal_creative_rf_coil", 0, creativeRFCoil, [
	[    blank,     ultimateIngot,    ultimateIngot,    ultimateIngot,     blank    ], 
	[ultimateIngot, redstoneIngot,    redstoneIngot,    redstoneIngot, ultimateIngot], 
	[ultimateIngot, redstoneIngot, redstoneSingularity, redstoneIngot, ultimateIngot], 
	[ultimateIngot, redstoneIngot,    redstoneIngot,    redstoneIngot, ultimateIngot], 
	[    blank,     ultimateIngot,    ultimateIngot,    ultimateIngot,     blank    ]
]);

// Recipe for Creative Flux Efficiency

mods.extendedcrafting.TableCrafting.addShaped("thermal_creative_flux_efficiency", 0, creativeFlux, [
	[    blank,      ultimateIngot,   ultimateIngot,    ultimateIngot,      blank    ], 
	[ultimateIngot, crystaltineIngot, redstoneIngot,    redstoneIngot,  ultimateIngot], 
	[ultimateIngot, crystaltineIngot, creativeRFCoil, crystaltineIngot, ultimateIngot], 
	[ultimateIngot,  redstoneIngot,   redstoneIngot,  crystaltineIngot, ultimateIngot], 
	[    blank,      ultimateIngot,   ultimateIngot,    ultimateIngot,      blank    ]
]);

// Recipe for Creative Screen

mods.extendedcrafting.TableCrafting.addShaped("rftools_creative_screen", 0, creativeScreen, [
	[    blank,  ultimateIngot,  blank   ], 
	[ultimateIngot, screen, ultimateIngot], 
	[    blank,  ultimateIngot,  blank   ]
]);

// Recipe for Final Fractal

mods.extendedcrafting.TableCrafting.addShaped("rftools_creative_screen", 0, creativeScreen, [
	[crystaltineIngot],
	[crystaltineIngot],
	[     stick      ]
]);


// Recipe for Creative Motor

mods.extendedcrafting.TableCrafting.addShaped("create_creative_motor", 0, <item:create:creative_motor>, [
	[ironIngot, netheriteIngot, ultimateIngot, ultimateIngot, ultimateIngot, netheriteIngot, ironIngot], 
	[ironIngot, netheriteIngot, ultimateIngot, shaft, ultimateIngot, netheriteIngot, ironIngot], 
	[ironIngot, netheriteIngot, ultimateIngot, ultimateIngot, ultimateIngot, netheriteIngot, ironIngot], 
	[ironIngot, netheriteIngot, netheriteIngot, creativeFlux, netheriteIngot, netheriteIngot, ironIngot], 
	[ironIngot, netheriteIngot, ultimateIngot, ultimateIngot, ultimateIngot, netheriteIngot, ironIngot], 
	[ironIngot, netheriteIngot, ultimateIngot, creativeScreen, ultimateIngot, netheriteIngot, ironIngot], 
	[ironIngot, netheriteIngot, ultimateIngot, ultimateIngot, ultimateIngot, netheriteIngot, ironIngot]
]);

// Recipe for Creative Energy Cube

mods.extendedcrafting.TableCrafting.addShaped("mekanism_creative_energy_cube", 0, <item:mekanism:creative_energy_cube>, [
	[eEnderIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, eEnderIngot], 
	[netheriteIngot, <item:thermal:dynamo_stirling>, <item:mekanismgenerators:advanced_solar_generator>, <item:thermal:dynamo_compression>, creativeRFCoil, <item:thermal:dynamo_magmatic>, <item:mekanismgenerators:advanced_solar_generator>, <item:thermal:dynamo_numismatic>, netheriteIngot], 
	[netheriteIngot, <item:mekanism:basic_induction_provider>, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, <item:mekanism:basic_induction_provider>, netheriteIngot], 
	[netheriteIngot, <item:mekanismgenerators:heat_generator>, netheriteIngot, eEnderIngot, eEnderIngot, eEnderIngot, netheriteIngot, <item:mekanismgenerators:heat_generator>, netheriteIngot], 
	[netheriteIngot, creativeRFCoil, netheriteIngot, eEnderIngot, <item:mekanism:ultimate_energy_cube>, eEnderIngot, netheriteIngot, creativeRFCoil, netheriteIngot], 
	[netheriteIngot, <item:mekanismgenerators:gas_burning_generator>, netheriteIngot, eEnderIngot, eEnderIngot, eEnderIngot, netheriteIngot, <item:mekanismgenerators:gas_burning_generator>, netheriteIngot], 
	[netheriteIngot, <item:mekanism:basic_induction_provider>, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, <item:mekanism:basic_induction_provider>, netheriteIngot], 
	[netheriteIngot, <item:thermal:dynamo_lapidary>, <item:mekanismgenerators:bio_generator>, <item:thermal:dynamo_disenchantment>, creativeRFCoil, <item:thermal:dynamo_gourmand>, <item:mekanismgenerators:bio_generator>, <item:thermal:dynamo_stirling>, netheriteIngot], 
	[eEnderIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, netheriteIngot, eEnderIngot]
]);